
package org.cocktail.fwkcktlprescolarite.common.metier.services.aglae3.inscriptionws;

import java.net.MalformedURLException;
import java.net.URL;
import java.util.logging.Logger;
import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceFeature;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.1.6 in JDK 6
 * Generated source version: 2.1
 * 
 */
@WebServiceClient(name = "InscriptionWSService", targetNamespace = "https://aglaestage.ac-paris.fr/inscriptionWS/services/InscriptionWS", wsdlLocation = "https://aglaestage.ac-paris.fr/inscriptionWS/services/InscriptionWS?wsdl")
public class InscriptionWSService
    extends Service
{

    private final static URL INSCRIPTIONWSSERVICE_WSDL_LOCATION;
    private final static Logger logger = Logger.getLogger(org.cocktail.fwkcktlprescolarite.common.metier.services.aglae3.inscriptionws.InscriptionWSService.class.getName());

    static {
        URL url = null;
        try {
            URL baseUrl;
            baseUrl = org.cocktail.fwkcktlprescolarite.common.metier.services.aglae3.inscriptionws.InscriptionWSService.class.getResource(".");
            url = new URL(baseUrl, "https://aglaestage.ac-paris.fr/inscriptionWS/services/InscriptionWS?wsdl");
        } catch (MalformedURLException e) {
            logger.warning("Failed to create URL for the wsdl Location: 'https://aglaestage.ac-paris.fr/inscriptionWS/services/InscriptionWS?wsdl', retrying as a local file");
            logger.warning(e.getMessage());
        }
        INSCRIPTIONWSSERVICE_WSDL_LOCATION = url;
    }

    public InscriptionWSService(URL wsdlLocation, QName serviceName) {
        super(wsdlLocation, serviceName);
    }

    public InscriptionWSService() {
        super(INSCRIPTIONWSSERVICE_WSDL_LOCATION, new QName("https://aglaestage.ac-paris.fr/inscriptionWS/services/InscriptionWS", "InscriptionWSService"));
    }

    /**
     * 
     * @return
     *     returns InscriptionWS
     */
    @WebEndpoint(name = "InscriptionWS")
    public InscriptionWS getInscriptionWS() {
        return super.getPort(new QName("https://aglaestage.ac-paris.fr/inscriptionWS/services/InscriptionWS", "InscriptionWS"), InscriptionWS.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns InscriptionWS
     */
    @WebEndpoint(name = "InscriptionWS")
    public InscriptionWS getInscriptionWS(WebServiceFeature... features) {
        return super.getPort(new QName("https://aglaestage.ac-paris.fr/inscriptionWS/services/InscriptionWS", "InscriptionWS"), InscriptionWS.class, features);
    }

}
